---
title: PaymentRequestEvent.methodData
slug: Web/API/PaymentRequestEvent/methodData
---
<p>{{SeeCompatTable}}{{APIRef("Payment Request API")}}</p>

<p>The <strong><code>methodData</code></strong> read-only property of the {{domxref("PaymentRequestEvent")}} interface returns an array of {{domxref("PaymentMethodData")}} objects containing payment method identifers for the payment methods that the web site accepts and any associated payment method specific data.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>methodData</em>[] = <em>paymentRequestEvent</em>.methodData</pre>

<h3 id="Value">Value</h3>

<p>An array of {{domxref("PaymentMethodData")}} objects.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Payment Handler','#methoddata-attribute','methodData')}}</td>
   <td>{{Spec2('Payment Handler')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.PaymentRequestEvent.methodData")}}</p>
